org.apache.maven.shared.jar.identification.repository

## Class EmptyRepositoryHashSearch

- java.lang.Object
- - org.apache.maven.shared.jar.identification.repository.EmptyRepositoryHashSearch

All Implemented Interfaces:
  RepositoryHashSearch

    public class EmptyRepositoryHashSearch
    extends Object
    implements RepositoryHashSearch

Empty repository hash search. Always returns an empty list.

Used for local only implementation of a RepositoryHashSearch. It is expected for the users of this library to provide an implementation of a `RepositoryHashSearch` against a real repository.

### Constructor Summary

Constructors
Constructor and Description
`EmptyRepositoryHashSearch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `searchBytecodeHash(String hash)` Search the repository for artifacts matching the given hash code when consider the bytecode of the classes in the file.
`List` `searchFileHash(String hash)` Search the repository for artifacts matching the given hash code when consider the entire contents of the file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyRepositoryHashSearch

    public EmptyRepositoryHashSearch()

### Method Detail

#### searchBytecodeHash

    public List searchBytecodeHash(String hash)

Description copied from interface: `RepositoryHashSearch`
Search the repository for artifacts matching the given hash code when consider the bytecode of the classes in the file.

Specified by:
  `searchBytecodeHash` in interface `RepositoryHashSearch`
Parameters:
  `hash` - the hash code to use
Returns:
  a list of `Artifact` instances that matched

#### searchFileHash

    public List searchFileHash(String hash)

Description copied from interface: `RepositoryHashSearch`
Search the repository for artifacts matching the given hash code when consider the entire contents of the file.

Specified by:
  `searchFileHash` in interface `RepositoryHashSearch`
Parameters:
  `hash` - the hash code to use
Returns:
  a list of `Artifact` instances that matched